## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesTextBridgeAllocator Class Reference

This class is deprecated. More...

`#include <XercesTextBridgeAllocator.hpp>`

Collaboration diagram for XercesTextBridgeAllocator:

List of all members.

## Public Types

- typedef XercesTextBridge ObjectType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XercesTextBridgeAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XercesTextBridgeAllocator ()
- ObjectType* create ( const DOM_TextType& theXercesText, const XercesBridgeNavigator& theNavigator)
    Create a XercesTextBridge instance. More...
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Detailed Description

This class is deprecated.

Deprecated:
  This class works with the deprecated Xerces DOM bridge.

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XercesTextBridgeAllocator::ArenaAllocatorType

typedef XercesTextBridge XercesTextBridgeAllocator::ObjectType

typedef ArenaAllocatorType::size_type XercesTextBridgeAllocator::size_type

## Constructor & Destructor Documentation

XercesTextBridgeAllocator::XercesTextBridgeAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XercesTextBridgeAllocator::~XercesTextBridgeAllocator ( | )

## Member Function Documentation

ObjectType * XercesTextBridgeAllocator::create ( | const DOM_TextType & theXercesText,
| const XercesBridgeNavigator & theNavigator )

Create a XercesTextBridge instance.

Parameters:

  theXercesText | The Xerces text node
  theNavigator | The navigator for this instance.

Returns:
  pointer to the instance

size_type XercesTextBridgeAllocator::getBlockCount ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XercesTextBridgeAllocator::getBlockSize ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XercesTextBridgeAllocator::reset ( | )

Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XercesTextBridgeAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.